package com.steerinfo.ems.temergencymaterials.service.impl;

import com.steerinfo.ems.temergencymaterials.mapper.TEmergencymaterialsMapper;
import com.steerinfo.ems.temergencymaterials.model.TEmergencymaterials;
import com.steerinfo.ems.temergencymaterials.service.ITemergencymaterialsService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;


@Service(value = "temergencymaterialsService")
public class TEmergencymaterialsServiceImpl  extends BaseServiceImpl<TEmergencymaterials, String> implements ITemergencymaterialsService {

    @Autowired
    private TEmergencymaterialsMapper tEmergencymaterialsMapper;

    @Override
    public List<TEmergencymaterials> selectAll() {
        return tEmergencymaterialsMapper.selectAll();
    }

    @Override
    public List<String> selectGxAll() {
        return tEmergencymaterialsMapper.selectGxAll();
    }

    @Override
    public List<String> selectDwAll() {
        return tEmergencymaterialsMapper.selectDwAll();
    }


    @Override
    protected IBaseMapper<TEmergencymaterials, String> getMapper() {
        return null;
    }
}
